View Issue Details

IDProjectCategoryView StatusLast Update
0002231Ham Radio DeluxeBugpublic2018-05-28 16:38
ReporterWA9PIE 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.780 
Target VersionFixed in Version6.4.0.787 
Summary0002231: STX_STRING and SRX_STRING values are not being exported properly on ADIF export
DescriptionIn the Logbook ALE, there is a place to put the "contest exchange" (shown in attached image).

On current ADIF export, the first character of the contest exchange is being inappropriately trimmed off the "STX_STRING" and "SRX_STRING" tags. The data in this field should not be trimmed for any ADIF export format for SRX_STRING and STX_STRING. For these tags, the entire contents of these fields should be populated into these tags on export.

Other tags for SRX and STX are correctly trimming off the first character. These fields do not require fixing.
Steps To ReproduceOpen a new ALE in Logbook
Add a callsign, do a callsign lookup... complete the rest of the standard entry.
In the empty field to the right of RST Sent, enter "1E UT" (with the space; see image)
In the empty field to the right of RST Rcvd, enter "5E ID" (with the space; see image)
Press F7 and save the QSO
Use the export function to export that QSO to an ADIF.
STX_STRING currently exports as "<srx_string:4>E ID"; it should export as "<srx_string:5>5E ID"
SRX_STRING currently exports as "<stx_string:4>E UT"; it should export as "<stx_string:5>1E UT"
Additional InformationNOTE: The separate ADIF tags of SRX and STX are working properly as-is and should not be affected by the fix to SRX_STRING and STX_STRING.

There is one field that contains SRX data. The entire contents of that field should go into the SRX_STRING tag. (The SRX tag is properly being populated from that one field as-is.)

There is one field that contains STX data. The entire contents of that field should go into the STX_STRING tag. (The STX tag is properly being populated from that one field as-is.)
TagsNo tags attached.
ModuleLogbook
Sub-ModuleImport Export
Testing Beta Successful

Relationships

related to 0001543 closedWA9PIE Ham Radio Deluxe SRX_string Layout attribute missing 
related to 0002738 new 1 - Backlog Logbook ALE STX and SRX saved to wrong fields in the log 

Activities

WA9PIE

2017-08-30 23:35

administrator  

STX_STRING.PNG (135,933 bytes)
STX_STRING.PNG (135,933 bytes)

WA9PIE

2017-08-31 09:45

administrator   ~0004088

Other references:
https://support.ham-radio-deluxe.com/scp/tickets.php?id=11461
https://forums.ham-radio-deluxe.com/forum/hrd-6-x-peer-support-forums/hrd-6-2-logbook/43428-adif-adi-version-is-broken-again-for-exchanges-starting-with-a-numeral
https://forums.ham-radio-deluxe.com/forum/hrd-6-x-peer-support-forums/hrd-6-2-logbook/3606-hrd-is-still-broken-for-adif-exports-after-over-4-years

K7ZCZ

2017-09-01 14:04

manager   ~0004095

After a bit of email, I've agreed that this is the correct behaviour:

There's an un-labelled field next to the RST Sent field in the ALE. The value of this field directly becomes SRX_STRING. Any numeric characters starting at the left of the string are used to populate the SRX field. If there are no such characters, the SRX field is blank. Use of numeric characters stops with the first non-numeric characters.

Same for RST Received's un-labelled field into STX and STX_STRING.

K7ZCZ

2017-09-01 14:04

manager   ~0004096

Fixed with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3813

WA9PIE

2017-09-01 17:07

administrator   ~0004099

Tested successful

WA9PIE

2017-09-18 00:08

administrator   ~0004207

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-08-30 23:35 WA9PIE New Issue
2017-08-30 23:35 WA9PIE File Added: STX_STRING.PNG
2017-08-30 23:40 WA9PIE Summary STX_STRING not being populated properly on ADIF export in STX_STRING and SRX_STRING tags => STX_STRING and SRX_STRING values are not being exported properly on ADIF export
2017-08-31 09:45 WA9PIE Note Added: 0004088
2017-08-31 11:50 WA9PIE Description Updated View Revisions
2017-08-31 11:50 WA9PIE Additional Information Updated View Revisions
2017-08-31 11:51 WA9PIE Description Updated View Revisions
2017-08-31 11:52 WA9PIE Steps to Reproduce Updated View Revisions
2017-08-31 11:52 WA9PIE Steps to Reproduce Updated View Revisions
2017-08-31 14:39 WA9PIE Additional Information Updated View Revisions
2017-09-01 00:13 WA9PIE Assigned To => WA9PIE
2017-09-01 00:13 WA9PIE Status new => confirmed
2017-09-01 00:17 WA9PIE Relationship added related to 0001543
2017-09-01 08:06 WA9PIE Assigned To WA9PIE => K7ZCZ
2017-09-01 14:04 K7ZCZ Note Added: 0004095
2017-09-01 14:04 K7ZCZ Status confirmed => resolved
2017-09-01 14:04 K7ZCZ Resolution open => fixed
2017-09-01 14:04 K7ZCZ Note Added: 0004096
2017-09-01 16:41 K7ZCZ Fixed in Version => 6.4.0.782
2017-09-01 17:07 WA9PIE Testing Not Started => Beta Successful
2017-09-01 17:07 WA9PIE Note Added: 0004099
2017-09-07 18:18 K7ZCZ Fixed in Version 6.4.0.782 => 6.4.0.784
2017-09-11 21:32 K7ZCZ Fixed in Version 6.4.0.784 => 6.4.0.785
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004207
2017-09-18 00:08 WA9PIE Status resolved => closed
2018-05-28 16:38 K7ZCZ Relationship added related to 0002738